﻿@model NacGroup.Module.Core.Models.PagedResult<NacGroup.Module.Gallery.Models.Schema.GalleryImageModel>;
    <div id="mixitup-list" class="tab-content flex-container">
        @{

            if (Model.Results.Count() > 0)
            {
                foreach (var item in Model.Results)
                {
                    <div class="item mix">
                        <div class="item-gallery">
                            <div class="img-container">
                                <img src="@item.Src" alt="@item.Alt">
                            </div>
                            <div class="text-container">
                                <div class="text-inner">
                                    <h3 class="h3"><a href="javascript:;">@item.Alt</a></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                }
            }
        }
    </div>
@{
    var start = Model.CurrentPage - 5 >= 1 ? (Model.CurrentPage - 5) : 1;
    var end = Model.CurrentPage + 5 <= Model.TotalPageCount ? (Model.CurrentPage + 5) : Model.TotalPageCount;

}
<div class="pagination-container text-center m-top-4">
    <ul class="pagination">
        @{
            if (Model.CurrentPage > 2)
            {
                <li>
                    <a href="javascript:;" onclick="album('@(ViewData["Id"])',1)" rel="prev">
                        <i class="demo-icon ecs-left-open-big" aria-hidden="true"></i>
                        <i class="demo-icon ecs-left-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
            if (start > 1)
            {
                <li class="disabled"><a>…</a></li>
            }
            if (Model.CurrentPage > 1)
            {
                <li>
                    <a href="javascript:;" onclick="album('@(ViewData["Id"])',@(Model.CurrentPage - 1))" rel="prev">
                        <i class="demo-icon ecs-left-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
            for (var i = start; i <= end; i++)
            {
                if (Model.CurrentPage == i)
                {
                    <li class="active"><a>@(i)</a></li>
                }
                else
                {
                    <li><a href="javascript:;" onclick="album('@(ViewData["Id"])',@(i))">@i</a></li>
                }
            }
            if (end < Model.TotalPageCount)
            {
                <li class="disabled"><a>…</a></li>
            }
            if (Model.CurrentPage < Model.TotalPageCount)
            {
                <li>
                    <a href="javascript:;" onclick="album('@(ViewData["Id"])','@(Model.CurrentPage + 1)')" rel="next">
                        <i class="demo-icon ecs-right-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
            if (Model.CurrentPage < Model.TotalPageCount - 2)
            {
                <li>
                    <a href="javascript:;" onclick="album('@(ViewData["Id"])','@(Model.TotalPageCount)')" rel="next">
                        <i class="demo-icon ecs-right-open-big" aria-hidden="true"></i>
                        <i class="demo-icon ecs-right-open-big" aria-hidden="true"></i>
                    </a>
                </li>
            }
        }
    </ul>
</div>